
Foreman - Feature #29148

Make puma default

02/24/2020 07:27 PM - Suresh Thirugnanasambandan

Status: Closed   

Priority: Normal   

Assignee: Suresh Thirugnanasambandan   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/802,

https://github.com/theforeman/puppet-for

eman/pull/811

  

Description

- Do not install passenger by default

Related issues:

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the applic... Closed

Related to Foreman - Feature #29356: Ship Puma systemd plugin in production Closed

Related to Foreman - Bug #29588: Foreman service seems active however keeps r... New

Related to Foreman - Feature #29584: Preload application with Puma in product... Closed

Associated revisions

Revision 8bc1ba30 - 02/28/2020 05:18 PM - Suresh Thirugnanasambandan

Fixes #29148 - Use Puma instead of Passenger by default

Revision 975a5c75 - 03/06/2020 12:20 AM - Eric Helms

Refs #29148: Do not proxy /pulp2 to Puma

History

#1 - 02/24/2020 07:28 PM - Suresh Thirugnanasambandan

- Tracker changed from Bug to Feature

#2 - 02/24/2020 07:28 PM - Suresh Thirugnanasambandan

- Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#3 - 02/25/2020 09:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/802 added

#4 - 02/28/2020 06:01 PM - Suresh Thirugnanasambandan

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman:puppet-foreman|8bc1ba3027f5b65803cda115b25e1bc6194c58e7.

#5 - 03/05/2020 11:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/811 added

#6 - 03/16/2020 12:42 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29356: Ship Puma systemd plugin in production added
#7 - 04/21/2020 03:49 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #29588: Foreman service seems active however keeps restarting if it can't start added

#8 - 04/21/2020 05:44 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29584: Preload application with Puma in production mode added
